<?php

namespace Teknisa\CNC\Services;

use Teknisa\CNC\Utilities;
use Teknisa\CNC\Factories;

class AdquirenteCNC {

	protected $entityManager;
	protected $adquirenteFactory;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager, Factories\AdquirenteFactory $adquirenteFactory)  {
		$this->entityManager 	  = $entityManager;
		$this->adquirenteFactory  = $adquirenteFactory;
	}
	
	public function getAcquirers($row) {
		if(array_key_exists('LABELADQUIRENTE', $row) && !empty($row['LABELADQUIRENTE'])) {
			$row['TALL_FIELDS']  = 'F';
			$row['ALL_FIELDS']   = str_replace('%', '', $row['LABELADQUIRENTE']);
		} else {
			$row['TALL_FIELDS']  = 'T';
			$row['ALL_FIELDS']   = '';
		}
		
		return $this->adquirenteFactory->getAcquirers(array(
            ':TALL_FIELDS'		  => $row['TALL_FIELDS'],
            ':ALL_FIELDS'		  => $row['ALL_FIELDS']
        ));
	}

}