<?php

namespace WebServiceCall\Repository\WS\Data;

use WebServiceCall\Log\WebServiceLogger as WSLog;

class PaymentsParams extends ASoapParams {
    private const PAYMENTS_URL = 'https://webservice.conciliadora.com.br/Services/Pagamentos.svc?singleWsdl';
    private const PAYMENTS_SERVICE_NAME = 'ConsultaPagamentos';
    private const PAYMENTS_XML_X_PATH = '/Retorno/Pagamentos/Pagamento';
    
    // @Override
    public function toArray() {
        return array(
            'idEmpresa' => $this->getIdEmpresa(),
            'senha' =>  $this->getPassword(),
            'dataPagtoInicial' => $this->getDtIni(),
            'dataPagtoFinal' => $this->getDtFim(),
        );
    }

    public function getXmlXPath() {
        return self::PAYMENTS_XML_X_PATH;
    }
    
    public function getServiceName() {
        return self::PAYMENTS_SERVICE_NAME;
    }
    
    public function getURL() {
        return self::PAYMENTS_URL;
    }

    public function getResponseData($response) {
        return $response->ConsultaPagamentosResult;
    }

    public function getReportID() {
        return WSLog::PAYMENTS_REPORT_ID;
    }
}
